<?php
if(!file_exists('config/database.php'))
{
	session_start();
	$_SESSION['install_error']="Database file not created. Maybe you don't have write permissions?";
	header('location:install.php');
}
ob_start();
require('config/database.php');
require('config/bf3conn.php');
include('config/config.php');
include('config/languages/'.LANG.'.php');
header('Refresh: 10');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<link rel="shortcut icon" href="./template/images/staticon.png">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $serverinfo['1']; ?> Server stats</title>
<link href="template/style.css" rel="stylesheet" type="text/css" />
</head>

<body>
<div id="headspace">
</div>
<div id="menu">
	<div class="menuin">
		<?php echo MENU ?>
   	</div>
</div>
<div id="spacer"><?php echo SERVERS; ?></div>
<div id="body">
	<div class="serverdata">
    	<div class="serverdatal"><img src="maps/<?php echo MAPIMAGE; ?>.jpg" width="250px" height="200px" /></div>
        <div class="serverdatar">
        	<div class="servername">
            <?php echo $serverinfo['1']."&nbsp;".$lng_now; ?> 
            </div>
            <div class="serverdatastat">
            <table width="782px" height="139px" border="0">
  <tr>
    <td><?php echo $lng_slots ?></td>
    <td class="result"><?php echo $serverinfo['2']."/".$serverinfo['3'] ?></td>
    <td><?php echo $lng_mode ?></td>
    <td class="result"><?php echo SMODE; ?></td>
    <td><?php echo $lng_map ?></td>
    <td class="result"><?php echo SMAP; ?></td>
  </tr>
  <tr>
    <td><?php echo $lng_allplayers ?></td>
    <td class="result"><?php echo MAXP; ?></td>
    <td><?php echo $lng_scores ?></td>
    <td class="result"><?php echo POINTS; ?></td>
    <td><?php echo $lng_dogtags ?></td>
    <td class="result"><?php echo DOGTAGS; ?></td>
  </tr>
  <tr>
    <td><?php echo $lng_kills ?></td>
    <td class="result"><?php echo KILLS; ?></td>
    <td><?php echo $lng_hshots ?></td>
    <td class="result"><?php echo HSHOTS; ?></td>
    <td><?php echo $lng_deaths ?></td>
    <td class="result"><?php echo DEATHS; ?></td>
  </tr>
  <tr>
  	<td colspan="3" style="text-align:center;"> <a href="http://battlelog.battlefield.com/bf3/servers/?q=<?php echo $serverinfo['1'];?>" target="_blank"><img src="template/images/joinbtn.png" width="200px"/></a></td>
    <td colspan="3" style="text-align:center;"> <a href="<?php echo CWEBSITE; ?>" target="_blank"><img src="template/images/favbtn.png" width="200px"/></a></td>
  </tr>
</table>

            </div>
        </div>
    </div>
    <div class="trackersname"><?php echo $lng_serverndiv; ?></div>
    <div class="bodytext">
	<center>
    <?php
	if(SERVEROK==1)
	{
				$plist=$sdatas->getPlayerlist();
				$i=-1;
				$c=12;
				$ch=10;
				$p=16;
				$s=13;
				$players = array (
						"team" => array (),
						"name" => array (),
						"kills" => array (),
						"deaths" => array (),
						"score" => array (),
						"squad" => array ()
						);
				while($i<128)
				{
					$i++;
					if($plist[$ch]!="")
					{
					array_push($players["team"], $plist[$c]);
					array_push($players["name"], $plist[$ch]);
					array_push($players["kills"], $plist[$ch+4]);
					array_push($players["deaths"], $plist[$ch+5]);
					array_push($players["score"], $plist[$p]);
					array_push($players["squad"], $plist[$s]);
					$c=$c+7;
					$ch=$ch+7;
					$p=$p+7;
					$s=$s+7;
					}
				}
				array_multisort($players["squad"], $players["score"], $players["team"], $players["name"], $players["kills"], $players["deaths"]);
				?>
	<table width="100%" style="text-align:center">
    	<tr>
        	<td colspan="2"><center><?php echo $lng_now_round." ".$sdatas->getCurrentGameRound(); ?>/2<br /><?php echo $lng_tickets.": ".round($serverinfo['9'], 0)." / ".round($serverinfo['10'], 0) ?></center></td>
        </tr>
        <tr>
        	<td><?php if($serverinfo['9']==150){echo $lng_attackers." ";}elseif($serverinfo['9']>1900){echo $lng_defenders;}else{echo $lng_am_tickets;};?></td><td><?php if($serverinfo['10']==150){echo $lng_attackers;}elseif($serverinfo['10']>1900){echo $lng_defenders;}else{echo $lng_ru_tickets;}?></td>
        </tr>
        <tr>
        	<td valign='top' width='50%'>
            	<table width="100%" style="border-right:1px #999 solid !important;" cellpadding="5">
                <tr>
                <td class="result" style='text-align:justify;'><?php echo $lng_player_name; ?></td><td class="result"><?php echo $lng_player_kills; ?></td><td class="result"><?php echo $lng_player_deaths; ?></td><td class="result"><?php echo $lng_player_kd; ?></td><td class="result"><?php echo $lng_player_point; ?></td><td class="result"><?php echo $lng_player_ping; ?></td>
                </tr>
                <tr>
                <?php
			$i=0;
			$count=count($players["name"]);
			while($i<$count)
			{
				switch($players["squad"][$i])
					{
						case '1' : $squad="Alpha"; $ssz=1; $c="team1"; break;
						case '2' : $squad="Bravo"; $ssz=2; $c="team2"; break;
						case '3' : $squad="Charlie"; $ssz=3; $c="team3"; break;
						case '4' : $squad="Echo"; $ssz=4; $c="team4"; break;
						case '5' : $squad="Delta"; $ssz=5; $c="team5"; break;
						case '6' : $squad="Foxtrott"; $ssz=6; $c="team6"; break;
						case '7' : $squad="Golf"; $ssz=7; $c="team7"; break;
						case '8' : $squad="Hotel"; $ssz=8; $c="team8"; break;
						case '9' : $squad="India"; $ssz=9; $c="team9"; break;
						case '10' : $squad="Juliet"; $ssz=10; $c="team10"; break;
						case '11' : $squad="Kilo"; $ssz=11; $c="team11"; break;
						case '12' : $squad="Lima"; $ssz=12; $c="team12"; break;
						case '13' : $squad="Mike"; $ssz=13; $c="team13"; break;
						case '14' : $squad="November"; $ssz=14; $c="team14"; break;
						case '15' : $squad="Oscar"; $ssz=15; $c="team15"; break;	
					}
				if($players["team"][$i]==1)
				{
				echo "
				<tr class='$c'>
					<td style='text-align:left'><a href='http://battlelog.battlefield.com/bf3/user/".$players["name"][$i]."/' target='_blank'>".$players["name"][$i]."</a></td>
					<td>".$players["kills"][$i]."</td>
					<td>".$players["deaths"][$i]."</td>
					<td>";
					if($players["kills"][$i]!=0 && $players["deaths"][$i]!=0){echo round(($players["kills"][$i]/$players["deaths"][$i]), 2);}elseif($players["kills"][$i]!=0 && $players["deaths"][$i]==0){echo $players["kills"][$i];}else{ echo"0";}
					echo"</td>
					<td>".$players["score"][$i]."</td>
					<td>$squad</td>
				</tr>";
				}
				$i++;
			}
			?>
                </tr>
                </table>
            </td>
            <td valign='top' width='50%'>
            		<table width="100%" cellpadding="5">
                    <tr>
                    <td class="result" style='text-align:justify;'><?php echo $lng_player_name; ?></td><td class="result"><?php echo $lng_player_kills; ?></td><td class="result"><?php echo $lng_player_deaths; ?></td><td class="result"><?php echo $lng_player_kd; ?></td><td class="result"><?php echo $lng_player_point; ?></td><td class="result"><?php echo $lng_player_ping; ?></td>
                    </tr>
                    <tr>
                     <?php
			$i=0;
			$count=count($players["name"]);
			while($i<$count)
			{
				switch($players["squad"][$i])
					{
						case '1' : $squad="Alpha"; $ssz=1; $c="team1"; break;
						case '2' : $squad="Bravo"; $ssz=2; $c="team2"; break;
						case '3' : $squad="Charlie"; $ssz=3; $c="team3"; break;
						case '4' : $squad="Echo"; $ssz=4; $c="team4"; break;
						case '5' : $squad="Delta"; $ssz=5; $c="team5"; break;
						case '6' : $squad="Foxtrott"; $ssz=6; $c="team6"; break;
						case '7' : $squad="Golf"; $ssz=7; $c="team7"; break;
						case '8' : $squad="Hotel"; $ssz=8; $c="team8"; break;
						case '9' : $squad="India"; $ssz=9; $c="team9"; break;
						case '10' : $squad="Juliet"; $ssz=10; $c="team10"; break;
						case '11' : $squad="Kilo"; $ssz=11; $c="team11"; break;
						case '12' : $squad="Lima"; $ssz=12; $c="team12"; break;
						case '13' : $squad="Mike"; $ssz=13; $c="team13"; break;
						case '14' : $squad="November"; $ssz=14; $c="team14"; break;
						case '15' : $squad="Oscar"; $ssz=15; $c="team15"; break;
					}
				if($players["team"][$i]==2)
				{
				echo "
				<tr class='$c'>
					<td style='text-align:left'><a href='http://battlelog.battlefield.com/bf3/user/".$players["name"][$i]."/' target='_blank'>".$players["name"][$i]."</a></td>
					<td>".$players["kills"][$i]."</td>
					<td>".$players["deaths"][$i]."</td>
					<td>";
					if($players["kills"][$i]!=0 && $players["deaths"][$i]!=0){echo round(($players["kills"][$i]/$players["deaths"][$i]), 2);}elseif($players["kills"][$i]!=0 && $players["deaths"][$i]==0){echo $players["kills"][$i];}else{ echo"0";}
					echo"</td>
					<td>".$players["score"][$i]."</td><td>$squad</td>
				</tr>";
				}
				$i++;
			}
			?>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <?php
	}
	else
	{
		echo $lng_server_offline;
	}
	?>
    </center>
    </div>
    <div class="trackersname"><?php echo $lng_chatbox; ?></div>
    <div class="bodytext">
    <table width='100%' class='cmess' style="font-family:Arial, Helvetica, sans-serif; font-size:12px;">
    <?php
	echo"
	<tr>
		<th>$lng_messwriter</th><th>$lng_messtext</th><th>$lng_messdate</th><th>$lng_messtype</th>
	</tr>
	";
	if($top10chat=mysqli_query($dbconn, "SELECT * FROM `".$sqlprefix."chatlog".$suffix."` WHERE `ServerID`='".SWID."' ORDER BY `logDate` DESC LIMIT 10"))
	{
	while($chatdata=mysqli_fetch_array($top10chat))
	{
		echo"
		<tr>
			<th>".$chatdata['4']."</th><th>".$chatdata['5']."</th><th>".$chatdata['1']."</th><th>".$chatdata['3']."</th>
		</tr>
		";	
	}
	}
	else
	{
		echo"
		<tr>
			<th>$lng_no_chat</th>
		</tr>
		";	
	}
	?>
    		</table>
    </div>
</div>
<div id="spacer"></div>
<div id="footer"><?php echo FOOTERTEXT; ?></div>
</body>
</html>